
#include "fix_example.h"
#include "neighbor.h"
#include "neigh_list.h"
#include "neigh_request.h"

using namespace LAMMPS_NS;
using namespace FixConst;

FixExample::FixExample(LAMMPS *lmp, int narg, char **arg) : Fix(lmp, narg, arg)
{
  neighborList = NULL;
}

FixExample::~FixExample()
{
  // nothing needs to be deleted
}

int FixExample::setmask()
{
  return POST_FORCE;
}

void FixExample::init()
{
  int irequest = neighbor->request(this);
  neighbor->requests[irequest]->pair = 0;
  neighbor->requests[irequest]->fix = 1;
}

void FixExample::init_list(int id, NeighList *ptr)
{
  this->neighborList = ptr;
}

void FixExample::post_force(int vflag)
{
  doMagic();
}

void FixExample::doMagic()
{
  fprintf(logfile, "FixExample: %p\t%p\n", (void*) this, (void*) neighborList);
  fprintf(screen, "FixExample: %p\t%p\n", (void*) this, (void*) neighborList);
}

