/* ----------------------------------------------------------------------
   LAMMPS - Large-scale Atomic/Molecular Massively Parallel Simulator
   www.cs.sandia.gov/~sjplimp/lammps.html
   Steve Plimpton, sjplimp@sandia.gov, Sandia National Laboratories

   Copyright (2003) Sandia Corporation.  Under the terms of Contract
   DE-AC04-94AL85000 with Sandia Corporation, the U.S. Government retains
   certain rights in this software.  This software is distributed under
   the GNU General Public License.

   See the README file in the top-level LAMMPS directory.
------------------------------------------------------------------------- */
#ifdef FIX_CLASS

FixStyle(example,FixExample)

#else

#ifndef FIX_EXAMPLE_H
#define FIX_EXAMPLE_H

#include "fix.h"

namespace LAMMPS_NS {

class FixExample : public Fix {
  public:
    FixExample(class LAMMPS *, int, char **);
    ~FixExample();

    int  setmask();
    void init();
    void init_list(int id, NeighList *ptr);
    void post_force(int);

    void doMagic();
    private:
    class NeighList* neighborList;
  };
}
#endif
#endif

